Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Container_Impl Class Reference

Servant implementation for Components::Deployment::Container. More...

`#include <Container_Impl.h>`

Collaboration diagram for CIAO::Container_Impl:

[legend]
List of all members.

## Public Member Functions
| Container_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p, Components::Deployment::ComponentServer_ptr server, int static_config_flag=0, const Static_Config_EntryPoints_Maps *static_entrypts_maps=0)
| Constructor.
virtual | ~Container_Impl (void)
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)
int | init (const Components::ConfigValues &options, Components::Deployment::ComponentInstallation_ptr installation ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Initialize the container with a name.
virtual ::Components::ConfigValues * | configuration (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Components::Deployment::Container defined attributes/operations.
virtual ::Components::Deployment::ComponentServer_ptr | get_component_server (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual ::Components::CCMHome_ptr | install_home (const char *id, const char *entrypt, const Components::ConfigValues &config ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::ImplEntryPointNotFound, Components::Deployment::InstallationFailure, Components::InvalidConfiguration)
virtual void | remove_home (Components::CCMHome_ptr href ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::RemoveFailure)
virtual ::Components::CCMHomes * | get_homes (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | remove (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::RemoveFailure)
void | set_objref (Components::Deployment::Container_ptr o ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Set the cached object reference.
Components::Deployment::Container_ptr | get_objref (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Protected Member Functions
void | parse_config_values (const char *exe_id, const Components::ConfigValues &options, struct home_installation_info &component_install_info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::ImplEntryPointNotFound, Components::InvalidConfiguration)
| parse ConfigValues
## Protected Attributes
CORBA::ORB_var | orb_
| Keep a pointer to the managing ORB serving this servant.
PortableServer::POA_var | poa_
| Keep a pointer to the managing POA.
CIAO::Container * | container_
| Internal container implementation.
Components::ConfigValues | config_
| Cached ConfigValues.
Components::Deployment::Container_var | objref_
| Cached Container reference (of ourselves.).
Components::Deployment::ComponentServer_var | comserv_
| Cached ComponentServer.
Components::Deployment::ComponentInstallation_var | installation_
| And a reference to the ServerActivator that created us.
TAO_SYNCH_MUTEX | lock_
| Synchronize access to the object set.
Object_Set< Components::CCMHome, Components::CCMHome_var > | home_set_
| Keep a list of managed CCMHome.
int | static_config_flag_
| Flag to indicate static configuration.
const Static_Config_EntryPoints_Maps * | static_entrypts_maps_
| Reference to CIAO static config entry points map.

## Detailed Description

Servant implementation for Components::Deployment::Container.

This class implements the Components::Deployment::Container interface as defined by the CCM specification. As the interface implies, this is actually part of the deployment interface and is used to manage the lifecycle of the installed components and homes.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Container_Impl::Container_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p,
|  | Components::Deployment::ComponentServer_ptr | server,
|  | int | static_config_flag = `0`,
|  | const Static_Config_EntryPoints_Maps * | static_entrypts_maps = `0`
| ) |

| Constructor.

CIAO::Container_Impl::~Container_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::Container_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

Components::ConfigValues * CIAO::Container_Impl::configuration | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Components::Deployment::Container defined attributes/operations.

virtual ::Components::Deployment::ComponentServer_ptr CIAO::Container_Impl::get_component_server | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

Components::CCMHomes * CIAO::Container_Impl::get_homes | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

ACE_INLINE Components::Deployment::Container_ptr CIAO::Container_Impl::get_objref | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

| Get the cached object reference. This operation will invoke _this if there's no cached reference available. Notice that this method does *NOT* increase the reference count of the cached reference.

int CIAO::Container_Impl::init | ( | const Components::ConfigValues & | options,
|  | Components::Deployment::ComponentInstallation_ptr installation | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

| Initialize the container with a name.

Components::CCMHome_ptr CIAO::Container_Impl::install_home | ( | const char * | id,
|  | const char * | entrypt,
|  | const Components::ConfigValues &config | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::ImplEntryPointNotFound, Components::Deployment::InstallationFailure, Components::InvalidConfiguration)

void CIAO::Container_Impl::parse_config_values | ( | const char * | exe_id,
|  | const Components::ConfigValues & | options,
|  | struct home_installation_info &component_install_info | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::ImplEntryPointNotFound, Components::InvalidConfiguration)`[protected]`

| parse ConfigValues

virtual void CIAO::Container_Impl::remove | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Components::RemoveFailure)`[virtual]`

void CIAO::Container_Impl::remove_home | ( | Components::CCMHome_ptr href | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Components::RemoveFailure)`[virtual]`

ACE_INLINE void CIAO::Container_Impl::set_objref | ( | Components::Deployment::Container_ptr o | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

| Set the cached object reference.

## Member Data Documentation

Components::Deployment::ComponentServer_var CIAO::Container_Impl::comserv_`[protected]`

| Cached ComponentServer.

Components::ConfigValues CIAO::Container_Impl::config_`[protected]`

| Cached ConfigValues.

CIAO::Container* CIAO::Container_Impl::container_`[protected]`

| Internal container implementation.

Object_Set<Components::CCMHome, Components::CCMHome_var> CIAO::Container_Impl::home_set_`[protected]`

| Keep a list of managed CCMHome.

Components::Deployment::ComponentInstallation_var CIAO::Container_Impl::installation_`[protected]`

| And a reference to the ServerActivator that created us.

TAO_SYNCH_MUTEX CIAO::Container_Impl::lock_`[protected]`

| Synchronize access to the object set.

Components::Deployment::Container_var CIAO::Container_Impl::objref_`[protected]`

| Cached Container reference (of ourselves.).

CORBA::ORB_var CIAO::Container_Impl::orb_`[protected]`

| Keep a pointer to the managing ORB serving this servant.

PortableServer::POA_var CIAO::Container_Impl::poa_`[protected]`

| Keep a pointer to the managing POA.

int CIAO::Container_Impl::static_config_flag_`[protected]`

| Flag to indicate static configuration.

const Static_Config_EntryPoints_Maps* CIAO::Container_Impl::static_entrypts_maps_`[protected]`

| Reference to CIAO static config entry points map.

The documentation for this class was generated from the following files:

- Container_Impl.h
- Container_Impl.cpp
- Container_Impl.inl